gs-test-gimp(1)

NAME
gs-test-gimp - runs a short test to verify that GIMP can run a GIMP script in non-GUI mode.

SYNOPSIS
gs-test-gimp [-q | - -quiet] [-w | - -verbose]
gs-test-gimp [-h | - -help]
gs-test-gimp [-v | - -version]

DESCRIPTION
gs-test-gimp runs a short test to verify that GIMP can run a GIMP script in non-GUI mode. If not already initialised, GIMP will create the GIMP directory with configuration files on first startup. The storage location of this directory is provided to GIMP by its environment variables GIMP3_DIRECTORY (Gimp 3.x) and GIMP2_DIRECTORY (Gimp 2.x).

ARGUMENTS
The following options are available:

-q | - -quiet
    Quiet mode: suppress GIMP console output. This is the default.

-w | - -verbose
    Verbose mode: print GIMP console output and processing details.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The gs-test-gimp tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

gs-test-gimp

GIMP3_DIRECTORY=/tmp/gimp3.tmp gs-test-gimp

GIMP3_DIRECTORY=/tmp/gimp3.tmp gs-test-gimp --verbose

gs-test-gimp --help

gs-test-gimp -h

gs-test-gimp --version

gs-test-gimp -v

SEE ALSO
gs-bumpmap(1), gs-caption(1), gs-clothify(1), gs-glossytext(1), gs-list-fonts(1), gs-list-gradients(1), gs-list-patterns(1), gs-mosaic(1), gs-oilify(1), gs-oldphoto(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh